openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/SUBST_START_REPORT_IN_BATCH:
    post:
      tags:
      - SUGR
      summary: Start an ABAP/4 Report With a New Variant in the Background
      operationId: /rfc/SUBST_START_REPORT_IN_BATCH
      requestBody:
        content:
          application/json:
            schema:
              properties:
                IS_PRIPARAMS:
                  type: object
                  properties:
                    PDEST:
                      type: string
                      maxLength: 4
                      description: Output Device (Print Parameters)
                    PRCOP:
                      type: integer
                      format: int64
                      description: Number of Copies (Print Parameters)
                    PLIST:
                      type: string
                      maxLength: 12
                      description: Name of Spool Request (Print Parameters)
                    PRTXT:
                      type: string
                      maxLength: 68
                      description: Text for Cover Page (Print Parameters)
                    PRIMM:
                      type: string
                      maxLength: 1
                      description: Print Immediately (Print Parameters)
                    PRREL:
                      type: string
                      maxLength: 1
                      description: Delete After Printing (Print Parameters)
                    PRNEW:
                      type: string
                      maxLength: 1
                      description: New Spool Request (Print Parameters)
                    PEXPI:
                      type: integer
                      format: int64
                      description: Spool Retention Period (Print Parameters)
                    LINCT:
                      type: integer
                      format: int32
                      description: Page Length of List
                    LINSZ:
                      type: integer
                      format: int32
                      description: Line width of list
                    PAART:
                      type: string
                      maxLength: 16
                      description: Print Format (Print Parameters)
                    PRBIG:
                      type: string
                      maxLength: 1
                      description: Selection Cover Page (Print Parameters)
                    PRSAP:
                      type: string
                      maxLength: 1
                      description: 'Print: SAP cover page  enumValues: X=Print,""=Do Not Print,D=Default (Printer Setting)'
                      enum:
                      - X
                      - ''
                      - D
                    PRREC:
                      type: string
                      maxLength: 12
                      description: Recipient (Print Parameters)
                    PRABT:
                      type: string
                      maxLength: 12
                      description: Department on Cover Page (Print Parameters)
                    PRBER:
                      type: string
                      maxLength: 12
                      description: 'Print: Authorization'
                    PRDSN:
                      type: string
                      maxLength: 6
                      description: Name of Spool File
                    PTYPE:
                      type: string
                      maxLength: 12
                      description: 'Print: Type of spool request'
                    ARMOD:
                      type: string
                      maxLength: 1
                      description: 'Print: Archiving mode  enumValues: 1=Print only,2=Archive only,3=Print and archive'
                      enum:
                      - '1'
                      - '2'
                      - '3'
                    FOOTL:
                      type: string
                      maxLength: 1
                      description: 'Print: Output footer'
                    PRIOT:
                      type: integer
                      format: int64
                      description: 'PRINT: Spool request priority'
                    PRUNX:
                      type: string
                      maxLength: 1
                      description: 'PRINT: Host spool cover page  enumValues: X=Print,""=Do Not Print,D=Default (Printer Setting)'
                      enum:
                      - X
                      - ''
                      - D
                    PRKEYEXT:
                      type: string
                      maxLength: 16
                      description: Key for print parameters
                    PRCHK:
                      type: integer
                      format: int32
                      description: 'Print: Check sum for print and archiving parameters'
                IV_ABORT_ON_ERROR:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Raise exceptions instead of return
                IV_AUTHCKNAM:
                  type: string
                  default: DDIC
                  maxLength: 12
                  description: User under whom jo should run
                IV_BATCHHOST:
                  type: string
                  default: ' '
                  maxLength: 32
                  description: Host on which job should be started
                IV_JOBNAME:
                  type: string
                  default: ' '
                  maxLength: 32
                  description: Requested name of background job
                IV_LANGUAGE:
                  type: string
                  default: SY-LANGU
                  maxLength: 1
                  description: Language under which job should run
                IV_REPNAME:
                  type: string
                  maxLength: 40
                  description: Report to be called
                IV_SCHEDEVER:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Scheduling on other host if necessary
                IV_VARIANTTEXT:
                  type: string
                  default: Upgrade variant
                  maxLength: 30
                  description: Short text of variant written
                IV_VARNAME:
                  type: string
                  default: SAP_UPGRADE
                  maxLength: 14
                  description: Name of variant to be written
                TT_REPORTPARAM:
                  type: array
                  items:
                    type: object
                    properties:
                      SELNAME:
                        type: string
                        maxLength: 8
                        description: 'ABAP/4: Name of SELECT-OPTION / PARAMETER'
                      KIND:
                        type: string
                        maxLength: 1
                        description: 'ABAP: Type of selection'
                      SIGN:
                        type: string
                        maxLength: 1
                        description: 'ABAP: ID: I/E (include/exclude values)'
                      OPTION:
                        type: string
                        maxLength: 2
                        description: 'ABAP: Selection option (EQ/BT/CP/...)'
                      LOW:
                        type: string
                        maxLength: 45
                        description: 'ABAP/4: Selection value (LOW or HIGH value, external format)'
                      HIGH:
                        type: string
                        maxLength: 45
                        description: 'ABAP/4: Selection value (LOW or HIGH value, external format)'
              required:
              - IV_REPNAME
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  EV_JOBCOUNT:
                    type: string
                    maxLength: 8
                    description: Job count of scheduled background job
                  EV_STARTRC:
                    type: integer
                    format: int32
                    description: Return code of scheduling attempt
                  EV_VARIWRC:
                    type: integer
                    format: int32
                    description: Return code of writing variant
                  TT_REPORTPARAM:
                    type: array
                    items:
                      type: object
                      properties:
                        SELNAME:
                          type: string
                          maxLength: 8
                          description: 'ABAP/4: Name of SELECT-OPTION / PARAMETER'
                        KIND:
                          type: string
                          maxLength: 1
                          description: 'ABAP: Type of selection'
                        SIGN:
                          type: string
                          maxLength: 1
                          description: 'ABAP: ID: I/E (include/exclude values)'
                        OPTION:
                          type: string
                          maxLength: 2
                          description: 'ABAP: Selection option (EQ/BT/CP/...)'
                        LOW:
                          type: string
                          maxLength: 45
                          description: 'ABAP/4: Selection value (LOW or HIGH value, external format)'
                        HIGH:
                          type: string
                          maxLength: 45
                          description: 'ABAP/4: Selection value (LOW or HIGH value, external format)'
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
